Bug 189844

Summary: [GTK] ANGLE's eglplatform.h does not support Wayland-only builds
Product: WebKit Reporter: Adrian Perez <aperez>
Component: ANGLEAssignee: Adrian Perez <aperez>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, clopez, commit-queue, dino, ews-watchlist, graouts, graouts, kondapallykalyan, mcatanzaro, psaavedra, webkit-bug-importer, zan
Priority: P2 Keywords: InRadar
Version: Other   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.chromium.org/p/angleproject/issues/detail?id=2839
Attachments:
Description Flags
Patch none

Description Adrian Perez 2018-09-21 11:56:41 PDT
The latest ANGLE update (from r225340) is causing another instance
of bug #163482

The upstream maintainers decided to apply their own version of the
patch that I had attached in the upstream bug, which lacks one of the
hunks from the patch I had uploaded. This is the upstream bug report:

  https://bugs.chromium.org/p/angleproject/issues/detail?id=2105

The missing bits *are* needed, so let's re-add them. I will give it
a try to have also the changes upstream later on.
Comment 1 Adrian Perez 2018-09-21 12:11:12 PDT
Created attachment 350399 [details]
Patch
Comment 2 EWS Watchlist 2018-09-21 12:13:37 PDT
Note that there are important steps to take when updating ANGLE. See http://trac.webkit.org/wiki/UpdatingANGLE
Comment 3 Adrian Perez 2018-09-21 12:14:22 PDT
JFTR, I have successfully tested this using Buildroot to compile
an image for the RaspberryPi 3 configured with Wayland, no X11,
and WebKitGTK+ (both “trunk” and 2.22.1 — the patch applies
cleanly on the stable release).
Comment 4 Michael Catanzaro 2018-09-21 12:20:53 PDT
Comment on attachment 350399 [details]
Patch

r=me provided you try again to upstream this.
Comment 5 WebKit Commit Bot 2018-09-21 13:00:02 PDT
Comment on attachment 350399 [details]
Patch

Clearing flags on attachment: 350399

Committed r236349: <https://trac.webkit.org/changeset/236349>
Comment 6 WebKit Commit Bot 2018-09-21 13:00:04 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2018-09-21 13:01:58 PDT
<rdar://problem/44689720>
Comment 8 Adrian Perez 2018-09-22 02:32:41 PDT
(In reply to Michael Catanzaro from comment #4)
> Comment on attachment 350399 [details]
> Patch
> 
> r=me provided you try again to upstream this.

Indeed! I had opened an issue upstream, but forgot to mentioned it here:

    https://bugs.chromium.org/p/angleproject/issues/detail?id=2839

Let's see if this time upstream adopts the full patch instead of merging
a half-baked version (which is what happened last time).
Comment 9 Pablo Saavedra 2022-03-30 10:10:44 PDT
This change is not longer there (not at least in WebKitGTK/WPEWebKit 2.36.0). I think that was removed by a later ANGLE new version rollout.
Comment 10 Adrian Perez 2022-03-30 12:45:12 PDT
(In reply to Pablo Saavedra from comment #9)
> This change is not longer there (not at least in WebKitGTK/WPEWebKit
> 2.36.0). I think that was removed by a later ANGLE new version rollout.

Right, nowadays we define USE_SYSTEM_EGL for building ANGLE, which gets
us the same net result without needing to maintain changes to ANGLE :)